Featherlane AI
ReferenceHTTP API

Tool metadata

curl -X GET "https://example.com/v1/tool-metadata"
{  "tools": [    {      "enabled": true,      "metadata": {        "approval": null,        "params": [          {            "allowed_sources": [              {                "kind": "string",                "origin": "user",                "source_id": "string"              }            ],            "limit": null,            "path": "string",            "role": "authority_bearing"          }        ],        "reversible": true,        "sandbox_hint": null,        "side_effect": "none",        "tool": "string"      }    }  ]}
POST
/v1/tool-metadata

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Upsert body for POST /v1/tool-metadata: the wire ToolMetadata plus an optional enabled flag (defaults to true).

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/tool-metadata" \  -H "Content-Type: application/json" \  -d '{    "reversible": true,    "side_effect": "none",    "tool": "string"  }'
{  "enabled": true,  "metadata": {    "approval": null,    "params": [      {        "allowed_sources": [          {            "kind": "string",            "origin": "user",            "source_id": "string"          }        ],        "limit": null,        "path": "string",        "role": "authority_bearing"      }    ],    "reversible": true,    "sandbox_hint": null,    "side_effect": "none",    "tool": "string"  }}
GET
/v1/tool-metadata/{tool}

Path Parameters

tool*string

Tool name

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/tool-metadata/string"
{  "enabled": true,  "metadata": {    "approval": null,    "params": [      {        "allowed_sources": [          {            "kind": "string",            "origin": "user",            "source_id": "string"          }        ],        "limit": null,        "path": "string",        "role": "authority_bearing"      }    ],    "reversible": true,    "sandbox_hint": null,    "side_effect": "none",    "tool": "string"  }}
DELETE
/v1/tool-metadata/{tool}

Path Parameters

tool*string

Tool name

Response Body

application/json

application/json

curl -X DELETE "https://example.com/v1/tool-metadata/string"
Empty